# Class UrlConnection

#### Hierarchy

- unknown
  - UrlConnection

- Defined in src/protobuf/grpc_pb.d.ts:770
- Defined in src/protobuf/grpc_pb.d.ts:797

#####
Index

### Constructors

constructor

### Methods

getAuthenticationStatus
getOnlineStatus
getPassword
getPriority
getUrl
getUsername
serializeBinary
setAuthenticationStatus
setOnlineStatus
setPassword
setPriority
setUrl
setUsername
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new UrlConnection(): UrlConnection

- #### Returns UrlConnection

  Inherited from jspb.Message.constructor

## Methods

### getAuthenticationStatus

- getAuthenticationStatus(): AuthenticationStatus

- #### Returns AuthenticationStatus

  - Defined in src/protobuf/grpc_pb.d.ts:786

### getOnlineStatus

- getOnlineStatus(): OnlineStatus

- #### Returns OnlineStatus

  - Defined in src/protobuf/grpc_pb.d.ts:783

### getPassword

- getPassword(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:777

### getPriority

- getPriority(): number

- #### Returns number

  - Defined in src/protobuf/grpc_pb.d.ts:780

### getUrl

- getUrl(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:771

### getUsername

- getUsername(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:774

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:789

### setAuthenticationStatus

- setAuthenticationStatus(value: AuthenticationStatus): UrlConnection

- #### Parameters

  - ##### value: AuthenticationStatus

  #### Returns UrlConnection

  - Defined in src/protobuf/grpc_pb.d.ts:787

### setOnlineStatus

- setOnlineStatus(value: OnlineStatus): UrlConnection

- #### Parameters

  - ##### value: OnlineStatus

  #### Returns UrlConnection

  - Defined in src/protobuf/grpc_pb.d.ts:784

### setPassword

- setPassword(value: string): UrlConnection

- #### Parameters

  - ##### value: string

  #### Returns UrlConnection

  - Defined in src/protobuf/grpc_pb.d.ts:778

### setPriority

- setPriority(value: number): UrlConnection

- #### Parameters

  - ##### value: number

  #### Returns UrlConnection

  - Defined in src/protobuf/grpc_pb.d.ts:781

### setUrl

- setUrl(value: string): UrlConnection

- #### Parameters

  - ##### value: string

  #### Returns UrlConnection

  - Defined in src/protobuf/grpc_pb.d.ts:772

### setUsername

- setUsername(value: string): UrlConnection

- #### Parameters

  - ##### value: string

  #### Returns UrlConnection

  - Defined in src/protobuf/grpc_pb.d.ts:775

### toObject

- toObject(includeInstance?: boolean): UrlConnection.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns UrlConnection.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:790

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): UrlConnection

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns UrlConnection

  - Defined in src/protobuf/grpc_pb.d.ts:793

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: UrlConnection, reader: BinaryReader): UrlConnection

- #### Parameters

  - ##### message: UrlConnection

  - ##### reader: BinaryReader

  #### Returns UrlConnection

  - Defined in src/protobuf/grpc_pb.d.ts:794

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: UrlConnection, writer: BinaryWriter): void

- #### Parameters

  - ##### message: UrlConnection

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:792

### `Static` toObject

- toObject(includeInstance: boolean, msg: UrlConnection): UrlConnection.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: UrlConnection

  #### Returns UrlConnection.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:791

Generated using TypeDoc